#include "stm32f0xx_hal.h"
#include "logic.h"
#include "pwm_in.h"
#include "gpio.h"
#include "pwm_out.h"


static uint8_t step_number = 0;


//
void logic_main(void)
{
    if (get_button()) 
    {   
        gpio_set_output(true);
        HAL_Delay(1000);
        logic_set_out_pwm();
        HAL_Delay(500);
        gpio_set_output(false);
        tim_pwm_pulse_idle();
        
        set_button(false);
    }   
    
}

//
void logic_set_out_pwm(void)
{
    switch (step_number)
    {
        case 0:
            tim_pwm_out_set_pulse(PWM_OUT_CH_1, 1300);
        break;
    
        case 1:
            tim_pwm_out_set_pulse(PWM_OUT_CH_2, 1300);
        break;
    
        case 2:
            tim_pwm_out_set_pulse(PWM_OUT_CH_1, 1850);
        break;
    
        case 3:
            tim_pwm_out_set_pulse(PWM_OUT_CH_2, 1850);
        break;
    
        default : break;
    }
    
    step_number = step_number == 3 ? 0 : step_number + 1;
}

